<?php
namespace app\modules\gluser;

use Yii;
use app\components\AccessControl;
use app\components\SafetyHelper;

class Module extends \yii\base\Module
{
	public $layout = "@app/modules/user/views/layouts/main";
	public $userobj; //用户登录信息
	
    public function init()
    {
        parent::init();
		SafetyHelper::FireWallWorks();
		$this->userobj = AccessControl::isLogin();
		if(empty($this->userobj) || $this->userobj->roleid!=1){
			header('location: '. Yii::$app->params["logout_url"]);
			exit();
		}
    }
}
?>